#include <iostream>
#include <vector>
#include <algorithm>
#include <cassert>
#include "guess.h"

#define debug(x) #x << " = " << x << '\n'
using ll = long long;
using i128 = __int128;

int find_number(int n) {
    int l = 1, r = n;
    while (l < r) {
        int mid = (l + r + 1) / 2;
        if (smaller(mid)) {
            r = mid - 1;
        } else {
            l = mid;
        }
    }
    return r;
}
